Bug 55714 - [UWP] Cannot set Editor text color
Summary: [UWP] Cannot set Editor text color
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 2.3.4
Hardware: PC Windows
: Normal normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-04-28 10:18 UTC by Dániel Buga
Modified: 2017-05-26 11:44 UTC (History)
4 users (show)

Tags: editor textcolor ac
Is this bug a regression?: ---
Last known good build:


Attachments
Screenshot of the editor (2.36 KB, image/png)
2017-04-28 10:18 UTC, Dániel Buga
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Dániel Buga 2017-04-28 10:18:39 UTC
Created attachment 21868 [details]
Screenshot of the editor

The following line renders an editor with black background and black text on UWP, black theme. Text color is set correctly on Android.

<Editor TextColor="White" Text="{Binding Feedback, Mode=TwoWay}" />
Comment 1 Paul DiPietro [MSFT] 2017-04-28 22:02:13 UTC
This occurs with code as well (e.g. new Entry { TextColor = Color.White, BackgroundColor = Color.Black }).
Comment 2 Rui Marinho 2017-05-26 11:44:26 UTC
Should be fixed on 2.3.6-pre1